<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;

/**
 * Class CDID_Run
 *
 * Thats where we bring the plugin to life
 *
 * @package		CDID
 * @subpackage	Classes/CDID_Run
 * @author		ProiTs FZ LLC
 * @since		1.0.0
 */
class CDID_Run{

	/**
	 * Our CDID_Run constructor 
	 * to run the plugin logic.
	 *
	 * @since 1.0.0
	 */
	function __construct(){
		$this->add_hooks();
	}

	/**
	 * ######################
	 * ###
	 * #### WORDPRESS HOOKS
	 * ###
	 * ######################
	 */

	/**
	 * Registers all WordPress and plugin related hooks
	 *
	 * @access	private
	 * @since	1.0.0
	 * @return	void
	 */
	private function add_hooks(){
		add_action( 'widgets_init', array( $this, 'register_the_widget' ));
	}

	/**
	 * ######################
	 * ###
	 * #### WORDPRESS HOOK CALLBACKS
	 * ###
	 * ######################
	 */

	/**
	 * register the CDID widget
	 *
	 * @access	public
	 * @since	1.0.0
	 *
	 * @return	void
	 */
	public function register_the_widget() {
		register_widget( 'CDID_Widget' );
	}

}
